aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2008-04-24 02:03:40 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2008-04-24 02:03:40 +0000
commit827b2473d9a1391a4d63a892c4150e5d6c0bf341 (patch)
treec86c98f5c088068b1599be40fcfa6bd285b3db30 /targets/support/chroot-functions.sh
parentOnly copy the handbook icon if one exists. (diff)
downloadcatalyst-827b2473d9a1391a4d63a892c4150e5d6c0bf341.tar.gz
catalyst-827b2473d9a1391a4d63a892c4150e5d6c0bf341.tar.bz2
catalyst-827b2473d9a1391a4d63a892c4150e5d6c0bf341.zip
Added a get_libdir call and fail if we don't have a valid LIBDIR when using debug.
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@1401 d1e1f19c-881f-0410-ab34-b69fee027534
Diffstat (limited to 'targets/support/chroot-functions.sh')
-rwxr-xr-xtargets/support/chroot-functions.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index 041de496..f90a4d93 100755
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -288,7 +288,11 @@ show_debug() {
echo "KERNEL_ABI: $(portageq envvar KERNEL_ABI)"
echo "MULTILIB_ABIS: $(portageq envvar MULTILIB_ABIS)"
echo
+ echo "LIBDIR: $(get_libdir)"
+ echo
fi
+ [ -z "$(get_libdir)" ] && \
+ echo "Your profile is broken! LIBDIR is empty!" && exit 1
}
run_default_funcs() {